当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 4 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 今日升级后的问题,内核
帖子发表于 : 2008-04-10 10:01 
头像

注册: 2007-06-13 15:57
帖子: 12565
地址: 在他乡
送出感谢: 50
接收感谢: 87
提示信息如下:
代码:
正在设置 linux-image-2.6.24-15-generic (2.6.24-15.27) ...
Running depmod.
update-initramfs: Generating /boot/initrd.img-2.6.24-15-generic
Running postinst hook script /sbin/update-grub.
[: 25: ==: unexpected operator
exec: 25: -a: not found
User postinst hook script [/sbin/update-grub] exited with value 2
dpkg:处理 linux-image-2.6.24-15-generic (--configure)时出错:
 子进程 post-installation script 返回了错误号 2
dpkg:依赖关系问题使得 linux-ubuntu-modules-2.6.24-15-generic 的配置工作不能继续:
 linux-ubuntu-modules-2.6.24-15-generic 依赖于 linux-image-2.6.24-15-generic;然而:
  软件包 linux-image-2.6.24-15-generic 还没有被配置。
dpkg:处理 linux-ubuntu-modules-2.6.24-15-generic (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 linux-image-generic 的配置工作不能继续:
 linux-image-generic 依赖于 linux-image-2.6.24-15-generic;然而:
  软件包 linux-image-2.6.24-15-generic 还没有被配置。
 linux-image-generic 依赖于 linux-ubuntu-modules-2.6.24-15-generic;然而:
  软件包 linux-ubuntu-modules-2.6.24-15-generic 还没有被配置。
dpkg:处理 linux-image-generic (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 linux-restricted-modules-2.6.24-15-generic 的配置工作不能继续:
 linux-restricted-modules-2.6.24-15-generic 依赖于 linux-image-2.6.24-15-generic;然而:
  软件包 linux-image-2.6.24-15-generic 还没有被配置。
dpkg:处理 linux-restricted-modules-2.6.24-15-generic (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 linux-restricted-modules-generic 的配置工作不能继续:
 linux-restricted-modules-generic 依赖于 linux-restricted-modules-2.6.24-15-generic;然而:
  软件包 linux-restricted-modules-2.6.24-15-generic 还没有被配置。
dpkg:处理 linux-restricted-modules-generic (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 linux-generic 的配置工作不能继续:
 linux-generic 依赖于 linux-image-generic (= 2.6.24.15.17);然而:
  软件包 linux-image-generic 还没有被配置。
 linux-generic 依赖于 linux-restricted-modules-generic (= 2.6.24.15.17);然而:
  软件包 linux-restricted-modules-generic 还没有被配置。
dpkg:处理 linux-generic (--configure)时出错:
 依赖关系问题 - 仍未被配置
在处理时有错误发生:
 linux-image-2.6.24-15-generic
 linux-ubuntu-modules-2.6.24-15-generic
 linux-image-generic
 linux-restricted-modules-2.6.24-15-generic
 linux-restricted-modules-generic
 linux-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)


:? :(


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-04-10 11:22 
头像

注册: 2007-08-24 20:16
帖子: 164
地址: Hangzhou, China
送出感谢: 0 次
接收感谢: 0 次
勇敢的小白鼠冲阿。。。


_________________
http://www.google.com/profiles/chenk85


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-04-10 12:19 

注册: 2008-03-26 18:15
帖子: 74
送出感谢: 0 次
接收感谢: 0 次
试试sudo apt-get install -f


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-04-10 15:21 
头像

注册: 2007-06-13 15:57
帖子: 12565
地址: 在他乡
送出感谢: 50
接收感谢: 87
yun_2008 写道:
试试sudo apt-get install -f

试了,结果一样


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 4 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译